Bug 335361 - RHEL 4.7: SB700 contains two IDE channels
RHEL 4.7: SB700 contains two IDE channels
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
high Severity medium
: ---
: ---
Assigned To: Bhavna Sarathy
Martin Jenner
:
: 314591 (view as bug list)
Depends On:
Blocks: 246627 335381 367631 422551 430698 520562
  Show dependency treegraph
 
Reported: 2007-10-16 17:05 EDT by Bhavna Sarathy
Modified: 2009-09-01 02:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 520562 (view as bug list)
Environment:
Last Closed: 2008-07-24 15:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Support twpo IDE channels on SB700 (718 bytes, patch)
2008-02-19 14:40 EST, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Bhavna Sarathy 2007-10-16 17:05:51 EDT
+++ This bug was initially created as a clone of Bug #314571 +++

Description of problem:
SB700 supports one physical IDE channel, but SB700 SATA controller
supports combined mode. When the SATA combined mode is enabled,
two SATA ports(port4 and port5) share one IDE channel from IDE
controller, and PATA will share the other IDE channel.

Our previous patch adding SB700 IDE device ID supported one
IDE channel. The attached patch supports two channels for the 
latest hardware.

The attached patch has been sent to the linux kernel IDE maintainer, 
and once accepted the upstream git link will be submitted to the BZ.

-- Additional comment from bnagendr@redhat.com on 2007-10-01 15:27 EST --
diff -ruN linux-2.6.23-rc5_orig/drivers/ide/pci/atiixp.c
linux-2.6.23-rc5/drivers/ide/pci/atiixp.c
--- linux-2.6.23-rc5_orig/drivers/ide/pci/atiixp.c	2007-09-01 14:08:24.000000000
+0800
+++ linux-2.6.23-rc5/drivers/ide/pci/atiixp.c	2007-09-28 00:35:55.000000000 +0800
@@ -325,7 +325,7 @@
 	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP300_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 0},
 	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP400_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 0},
 	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP600_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 1},
-	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP700_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 1},
+	{ PCI_VENDOR_ID_ATI, PCI_DEVICE_ID_ATI_IXP700_IDE, PCI_ANY_ID, PCI_ANY_ID, 0,
0, 0},
 	{ 0, },
 };
 MODULE_DEVICE_TABLE(pci, atiixp_pci_tbl);

-- Additional comment from bnagendr@redhat.com on 2007-10-16 12:16 EST --
Created an attachment (id=228941)
SB700 test results on RHEL5.2 dev code base with patch -- x86_64


-- Additional comment from bnagendr@redhat.com on 2007-10-16 12:16 EST --
Created an attachment (id=228951)
SB700 test results on RHEL5.2 dev code base with patch -- i386


-- Additional comment from bnagendr@redhat.com on 2007-10-16 16:20 EST --
Shane, do you have an upstream submission link? 

-- Additional comment from bnagendr@redhat.com on 2007-10-16 16:30 EST --
This is what I found:
http://www.mail-archive.com/linux-ide@vger.kernel.org/msg10893.html
Comment 1 RHEL Product and Program Management 2008-01-14 14:37:01 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Russell Doty 2008-01-14 14:52:44 EST
Updated summary to reflect that this is a 4.7 item, not a 5.2 item.
Comment 3 Bhavna Sarathy 2008-02-19 14:40:44 EST
Created attachment 295324 [details]
Support twpo IDE channels on SB700
Comment 4 Bhavna Sarathy 2008-02-28 16:02:48 EST
Patch tested at AMD using brew build and submitted to RHML
Comment 6 Vivek Goyal 2008-03-05 22:29:36 EST
Committed in 68.17.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 8 Shane Huang 2008-05-27 22:27:29 EDT
*** Bug 314591 has been marked as a duplicate of this bug. ***
Comment 9 Shane Huang 2008-06-09 21:56:35 EDT
Verified with RHEL4.7 Beta (kernel 2.6.9-70.EL)
Comment 12 errata-xmlrpc 2008-07-24 15:18:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.